Bug 432950 - perl-Test-Harness package is missing several key elements
perl-Test-Harness package is missing several key elements
Status: CLOSED DUPLICATE of bug 451078
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 06:54 EST by Scott R. Godin
Modified: 2008-06-13 06:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 09:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2008-02-15 06:54:06 EST
Description of problem: the package for perl-Test-Harness that is built from 
the perl source rpm is missing several packages causing some perl modules I 
write to fail on 'make test' before I can make dist to create the distribution 
package. 


Version-Release number of selected component (if applicable):
perl-5.8.8-32.fc8


How reproducible:
every time


Steps to Reproduce:
yum install perl-WWW-Mechanize perl-HTML-Parser
wget http://www.webdragon.net/tinyurl/WWW-Mechanize-TinyURL-1.03.tar.gz
tar zxf WWW-Mechanize-TinyURL-1.03.tar.gz
cd WWW-Mechanize-TinyURL-1.03
perl Makefile.PL
make
make test
  
Actual results:
5:19am {25} localhost:/home/scott.g/Download/WWW-Mechanize-TinyURL-1.03>$ make 
test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-
e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Can't locate TAP/Harness.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/
5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/
site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/
lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/
site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-
linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /
usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/
vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /
usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/
perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-
linux-thread-multi /usr/lib/perl5/5.8.8 .) at /usr/lib/perl5/5.8.8/Test/
Harness.pm line 10.
BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.8/Test/Harness.pm line 
10.
Compilation failed in require at /usr/lib/perl5/5.8.8/ExtUtils/Command/MM.pm 
line 49.
make: *** [test_dynamic] Error 2


Expected results:
$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-
e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/0-signature.......gpg: Signature made Wed 18 May 2005 02:45:47 PM EDT using 
DSA key ID 234858B0
gpg: Can't check signature: public key not found
t/0-signature.......ok   
t/1-loadmodule......ok   
t/2-methods.........ok   
t/3-pod.............skipped: Test::Pod 1.00 required for testing POD
All tests successful.
Files=4, Tests=6,  6 wallclock secs ( 0.02 usr  0.01 sys +  0.64 cusr  0.10 
csys =  0.77 CPU)
Result: PASS


Additional info:

the perl-Test-Harness package is missing several key elements of the 
Test::Harness package.. notably the MANPAGE for TAP::Harness is _present_ but 
TAP::Harness.pm itself is missing along with several other bits and pieces. 

cpan shell reports the installed version as 3.07 (whereas current is 3.09) and 
an attempted build/install of the current Test::Harness by CPAN shows how many 
are actually missing: 

5:12am {4} localhost:/root># cpan
CPAN: Term::ANSIColor loaded ok (v1.10)
 
cpan shell -- CPAN exploration and modules installation (v1.9205)
ReadLine support enabled
 
                                                                                                                                     
cpan[1]> m Test::Harness
CPAN: Storable loaded ok (v2.15)
Going to read /root/.cpan/Metadata
  Database was generated on Thu, 31 Jan 2008 02:31:34 GMT
CPAN: LWP::UserAgent loaded ok (v2.036)
CPAN: Time::HiRes loaded ok (v1.86)
Fetching with LWP:
  http://cpan.belfry.net/authors/01mailrc.txt.gz
CPAN: YAML loaded ok (v0.66)
Going to read /root/.cpan/sources/authors/01mailrc.txt.gz
Going to read /root/.cpan/build/
............................................................................DONE
Found 10 old builds, restored the state of 2
............................................................................DONE
Fetching with LWP:
  http://cpan.belfry.net/modules/02packages.details.txt.gz
Going to read /root/.cpan/sources/modules/02packages.details.txt.gz
  Database was generated on Fri, 15 Feb 2008 00:31:02 GMT
............................................................................DONE
Fetching with LWP:
  http://cpan.belfry.net/modules/03modlist.data.gz
Going to read /root/.cpan/sources/modules/03modlist.data.gz
............................................................................DONE
Going to write /root/.cpan/Metadata
Fetching with LWP:
  http://cpan.belfry.net/authors/id/A/AN/ANDYA/CHECKSUMS
Module id = Test::Harness
    DESCRIPTION  Executes perl-style tests
    CPAN_USERID  PETDANCE (Andy Lester <andy@petdance.com>)
    CPAN_VERSION 3.09
    CPAN_FILE    A/AN/ANDYA/Test-Harness-3.09.tar.gz
    UPLOAD_DATE  2008-02-10
    DSLIP_STATUS Smpfp (standard,mailing-list,perl,functions,Standard-Perl)
    MANPAGE      Test::Harness - Run Perl standard test scripts with statistics
    INST_FILE    /usr/lib/perl5/5.8.8/Test/Harness.pm
    INST_VERSION 3.07
 
 
                                                                                                                                     
cpan[2]> install Test::Harness
Running install for module 'Test::Harness'
Running make for A/AN/ANDYA/Test-Harness-3.09.tar.gz
Fetching with LWP:
  http://cpan.belfry.net/authors/id/A/AN/ANDYA/Test-Harness-3.09.tar.gz
CPAN: Digest::SHA loaded ok (v5.45)
CPAN: Module::Signature loaded ok (v0.55)
WARNING: This key is not certified with a trusted signature!
Primary key fingerprint: 2E66 557A B97C 19C7 91AF  8E20 328D A867 450F 89EC
Signature for /root/.cpan/sources/authors/id/A/AN/ANDYA/CHECKSUMS ok
Checksum for /root/.cpan/sources/authors/id/A/AN/ANDYA/Test-Harness-
3.09.tar.gz ok
Scanning cache /root/.cpan/build for sizes
............................................................................DONE
Test-Harness-3.09/
Test-Harness-3.09/Build.PL
Test-Harness-3.09/Changes
Test-Harness-3.09/Changes-2.64
Test-Harness-3.09/HACKING.pod
Test-Harness-3.09/MANIFEST
Test-Harness-3.09/META.yml
Test-Harness-3.09/Makefile.PL
Test-Harness-3.09/README
Test-Harness-3.09/bin/
Test-Harness-3.09/bin/prove
Test-Harness-3.09/examples/
Test-Harness-3.09/examples/README
Test-Harness-3.09/examples/bin/
Test-Harness-3.09/examples/bin/forked_tests.pl
Test-Harness-3.09/examples/bin/test_html.pl
Test-Harness-3.09/examples/bin/tprove_gtk
Test-Harness-3.09/examples/harness-hook/
Test-Harness-3.09/examples/harness-hook/hook.pl
Test-Harness-3.09/examples/harness-hook/lib/
Test-Harness-3.09/examples/harness-hook/lib/Harness/
Test-Harness-3.09/examples/harness-hook/lib/Harness/Hook.pm
Test-Harness-3.09/examples/my_exec
Test-Harness-3.09/examples/silent-harness.pl
Test-Harness-3.09/examples/t/
Test-Harness-3.09/examples/t/10-stuff.t
Test-Harness-3.09/examples/t/ruby.t
Test-Harness-3.09/examples/test_urls.txt
Test-Harness-3.09/inc/
Test-Harness-3.09/inc/MyBuilder.pm
Test-Harness-3.09/lib/
Test-Harness-3.09/lib/App/
Test-Harness-3.09/lib/App/Prove/
Test-Harness-3.09/lib/App/Prove/State.pm
Test-Harness-3.09/lib/App/Prove.pm
Test-Harness-3.09/lib/TAP/
Test-Harness-3.09/lib/TAP/Base.pm
Test-Harness-3.09/lib/TAP/Formatter/
Test-Harness-3.09/lib/TAP/Formatter/Color.pm
Test-Harness-3.09/lib/TAP/Formatter/Console/
Test-Harness-3.09/lib/TAP/Formatter/Console/ParallelSession.pm
Test-Harness-3.09/lib/TAP/Formatter/Console/Session.pm
Test-Harness-3.09/lib/TAP/Formatter/Console.pm
Test-Harness-3.09/lib/TAP/Harness.pm
Test-Harness-3.09/lib/TAP/Parser/
Test-Harness-3.09/lib/TAP/Parser/Aggregator.pm
Test-Harness-3.09/lib/TAP/Parser/Grammar.pm
Test-Harness-3.09/lib/TAP/Parser/Iterator/
Test-Harness-3.09/lib/TAP/Parser/Iterator/Array.pm
Test-Harness-3.09/lib/TAP/Parser/Iterator/Process.pm
Test-Harness-3.09/lib/TAP/Parser/Iterator/Stream.pm
Test-Harness-3.09/lib/TAP/Parser/Iterator.pm
Test-Harness-3.09/lib/TAP/Parser/Multiplexer.pm
Test-Harness-3.09/lib/TAP/Parser/Result/
Test-Harness-3.09/lib/TAP/Parser/Result/Bailout.pm
Test-Harness-3.09/lib/TAP/Parser/Result/Comment.pm
Test-Harness-3.09/lib/TAP/Parser/Result/Plan.pm
Test-Harness-3.09/lib/TAP/Parser/Result/Test.pm
Test-Harness-3.09/lib/TAP/Parser/Result/Unknown.pm
Test-Harness-3.09/lib/TAP/Parser/Result/Version.pm
Test-Harness-3.09/lib/TAP/Parser/Result/YAML.pm
Test-Harness-3.09/lib/TAP/Parser/Result.pm
Test-Harness-3.09/lib/TAP/Parser/Source/
Test-Harness-3.09/lib/TAP/Parser/Source/Perl.pm
Test-Harness-3.09/lib/TAP/Parser/Source.pm
Test-Harness-3.09/lib/TAP/Parser/Utils.pm
Test-Harness-3.09/lib/TAP/Parser/YAMLish/
Test-Harness-3.09/lib/TAP/Parser/YAMLish/Reader.pm
Test-Harness-3.09/lib/TAP/Parser/YAMLish/Writer.pm
Test-Harness-3.09/lib/TAP/Parser.pm
Test-Harness-3.09/lib/Test/
Test-Harness-3.09/lib/Test/Harness.pm
Test-Harness-3.09/perlcriticrc
Test-Harness-3.09/t/
Test-Harness-3.09/t/000-load.t
Test-Harness-3.09/t/aggregator.t
Test-Harness-3.09/t/bailout.t
Test-Harness-3.09/t/base.t
Test-Harness-3.09/t/callbacks.t
Test-Harness-3.09/t/compat/
Test-Harness-3.09/t/compat/env.t
Test-Harness-3.09/t/compat/failure.t
Test-Harness-3.09/t/compat/inc-propagation.t
Test-Harness-3.09/t/compat/inc_taint.t
Test-Harness-3.09/t/compat/nonumbers.t
Test-Harness-3.09/t/compat/regression.t
Test-Harness-3.09/t/compat/test-harness-compat.t
Test-Harness-3.09/t/compat/version.t
Test-Harness-3.09/t/console.t
Test-Harness-3.09/t/data/
Test-Harness-3.09/t/data/catme.1
Test-Harness-3.09/t/data/proverc
Test-Harness-3.09/t/data/sample.yml
Test-Harness-3.09/t/errors.t
Test-Harness-3.09/t/grammar.t
Test-Harness-3.09/t/harness.t
Test-Harness-3.09/t/iterators.t
Test-Harness-3.09/t/lib/
Test-Harness-3.09/t/lib/App/
Test-Harness-3.09/t/lib/App/Prove/
Test-Harness-3.09/t/lib/App/Prove/Plugin/
Test-Harness-3.09/t/lib/App/Prove/Plugin/Dummy.pm
Test-Harness-3.09/t/lib/Dev/
Test-Harness-3.09/t/lib/Dev/Null.pm
Test-Harness-3.09/t/lib/IO/
Test-Harness-3.09/t/lib/IO/c55Capture.pm
Test-Harness-3.09/t/lib/NoFork.pm
Test-Harness-3.09/t/lib/Test/
Test-Harness-3.09/t/lib/Test/Builder/
Test-Harness-3.09/t/lib/Test/Builder/Module.pm
Test-Harness-3.09/t/lib/Test/Builder.pm
Test-Harness-3.09/t/lib/Test/More.pm
Test-Harness-3.09/t/lib/Test/Simple.pm
Test-Harness-3.09/t/lib/if.pm
Test-Harness-3.09/t/multiplexer.t
Test-Harness-3.09/t/nofork-mux.t
Test-Harness-3.09/t/nofork.t
Test-Harness-3.09/t/parse.t
Test-Harness-3.09/t/premature-bailout.t
Test-Harness-3.09/t/process.t
Test-Harness-3.09/t/prove.t
Test-Harness-3.09/t/proverc.t
Test-Harness-3.09/t/proverun.t
Test-Harness-3.09/t/regression.t
Test-Harness-3.09/t/results.t
Test-Harness-3.09/t/sample-tests/
Test-Harness-3.09/t/sample-tests/bailout
Test-Harness-3.09/t/sample-tests/bignum
Test-Harness-3.09/t/sample-tests/bignum_many
Test-Harness-3.09/t/sample-tests/combined
Test-Harness-3.09/t/sample-tests/combined_compat
Test-Harness-3.09/t/sample-tests/delayed
Test-Harness-3.09/t/sample-tests/descriptive
Test-Harness-3.09/t/sample-tests/descriptive_trailing
Test-Harness-3.09/t/sample-tests/die
Test-Harness-3.09/t/sample-tests/die_head_end
Test-Harness-3.09/t/sample-tests/die_last_minute
Test-Harness-3.09/t/sample-tests/die_unfinished
Test-Harness-3.09/t/sample-tests/duplicates
Test-Harness-3.09/t/sample-tests/echo
Test-Harness-3.09/t/sample-tests/empty
Test-Harness-3.09/t/sample-tests/escape_eol
Test-Harness-3.09/t/sample-tests/escape_hash
Test-Harness-3.09/t/sample-tests/head_end
Test-Harness-3.09/t/sample-tests/head_fail
Test-Harness-3.09/t/sample-tests/inc_taint
Test-Harness-3.09/t/sample-tests/junk_before_plan
Test-Harness-3.09/t/sample-tests/lone_not_bug
Test-Harness-3.09/t/sample-tests/no_nums
Test-Harness-3.09/t/sample-tests/no_output
Test-Harness-3.09/t/sample-tests/out_err_mix
Test-Harness-3.09/t/sample-tests/out_of_order
Test-Harness-3.09/t/sample-tests/schwern
Test-Harness-3.09/t/sample-tests/schwern-todo-quiet
Test-Harness-3.09/t/sample-tests/segfault
Test-Harness-3.09/t/sample-tests/sequence_misparse
Test-Harness-3.09/t/sample-tests/shbang_misparse
Test-Harness-3.09/t/sample-tests/simple
Test-Harness-3.09/t/sample-tests/simple_fail
Test-Harness-3.09/t/sample-tests/simple_yaml
Test-Harness-3.09/t/sample-tests/skip
Test-Harness-3.09/t/sample-tests/skip_nomsg
Test-Harness-3.09/t/sample-tests/skipall
Test-Harness-3.09/t/sample-tests/skipall_nomsg
Test-Harness-3.09/t/sample-tests/skipall_v13
Test-Harness-3.09/t/sample-tests/space_after_plan
Test-Harness-3.09/t/sample-tests/stdout_stderr
Test-Harness-3.09/t/sample-tests/switches
Test-Harness-3.09/t/sample-tests/taint
Test-Harness-3.09/t/sample-tests/taint_warn
Test-Harness-3.09/t/sample-tests/todo
Test-Harness-3.09/t/sample-tests/todo_inline
Test-Harness-3.09/t/sample-tests/todo_misparse
Test-Harness-3.09/t/sample-tests/too_many
Test-Harness-3.09/t/sample-tests/version_good
Test-Harness-3.09/t/sample-tests/version_late
Test-Harness-3.09/t/sample-tests/version_old
Test-Harness-3.09/t/sample-tests/vms_nit
Test-Harness-3.09/t/sample-tests/with_comments
Test-Harness-3.09/t/source.t
Test-Harness-3.09/t/source_tests/
Test-Harness-3.09/t/source_tests/harness
Test-Harness-3.09/t/source_tests/harness_badtap
Test-Harness-3.09/t/source_tests/harness_complain
Test-Harness-3.09/t/source_tests/harness_directives
Test-Harness-3.09/t/source_tests/harness_failure
Test-Harness-3.09/t/source_tests/source
Test-Harness-3.09/t/spool.t
Test-Harness-3.09/t/state.t
Test-Harness-3.09/t/streams.t
Test-Harness-3.09/t/taint.t
Test-Harness-3.09/t/testargs.t
Test-Harness-3.09/t/unicode.t
Test-Harness-3.09/t/utils.t
Test-Harness-3.09/t/yamlish-output.t
Test-Harness-3.09/t/yamlish-writer.t
Test-Harness-3.09/t/yamlish.t
Test-Harness-3.09/xt/
Test-Harness-3.09/xt/author/
Test-Harness-3.09/xt/author/pod-coverage.t
Test-Harness-3.09/xt/author/pod.t
Test-Harness-3.09/xt/author/stdin.t
Test-Harness-3.09/xt/perls/
Test-Harness-3.09/xt/perls/harness_perl.t
Test-Harness-3.09/xt/perls/sample-tests/
Test-Harness-3.09/xt/perls/sample-tests/perl_version
CPAN: File::Temp loaded ok (v0.16)
Package came without SIGNATURE
 
CPAN: Module::Build loaded ok (v0.2808)
 
  CPAN.pm: Going to build A/AN/ANDYA/Test-Harness-3.09.tar.gz
 
Checking whether your kit is complete...
Looks good
 
Checking prerequisites...
Looks good
 
Creating new 'Build' script for 'Test-Harness' version '3.09'
Copying lib/TAP/Parser/Iterator/Array.pm -> blib/lib/TAP/Parser/Iterator/
Array.pm
Copying lib/TAP/Parser/Result/Plan.pm -> blib/lib/TAP/Parser/Result/Plan.pm
Copying lib/TAP/Base.pm -> blib/lib/TAP/Base.pm
Copying lib/TAP/Formatter/Console/ParallelSession.pm -> blib/lib/TAP/Formatter/
Console/ParallelSession.pm
Copying lib/TAP/Parser/Source/Perl.pm -> blib/lib/TAP/Parser/Source/Perl.pm
Copying lib/TAP/Parser/Result.pm -> blib/lib/TAP/Parser/Result.pm
Copying lib/TAP/Formatter/Console/Session.pm -> blib/lib/TAP/Formatter/Console/
Session.pm
Copying lib/TAP/Parser/Result/YAML.pm -> blib/lib/TAP/Parser/Result/YAML.pm
Copying lib/TAP/Parser/Result/Test.pm -> blib/lib/TAP/Parser/Result/Test.pm
Copying lib/TAP/Parser.pm -> blib/lib/TAP/Parser.pm
Copying lib/TAP/Formatter/Console.pm -> blib/lib/TAP/Formatter/Console.pm
Copying lib/TAP/Parser/Result/Comment.pm -> blib/lib/TAP/Parser/Result/
Comment.pm
Copying lib/TAP/Parser/Iterator.pm -> blib/lib/TAP/Parser/Iterator.pm
Copying lib/TAP/Parser/Source.pm -> blib/lib/TAP/Parser/Source.pm
Copying lib/TAP/Parser/Iterator/Stream.pm -> blib/lib/TAP/Parser/Iterator/
Stream.pm
Copying lib/TAP/Formatter/Color.pm -> blib/lib/TAP/Formatter/Color.pm
Copying lib/TAP/Parser/Grammar.pm -> blib/lib/TAP/Parser/Grammar.pm
Copying lib/TAP/Parser/Iterator/Process.pm -> blib/lib/TAP/Parser/Iterator/
Process.pm
Copying lib/Test/Harness.pm -> blib/lib/Test/Harness.pm
Copying lib/App/Prove/State.pm -> blib/lib/App/Prove/State.pm
Copying lib/App/Prove.pm -> blib/lib/App/Prove.pm
Copying lib/TAP/Parser/Result/Bailout.pm -> blib/lib/TAP/Parser/Result/
Bailout.pm
Copying lib/TAP/Parser/Utils.pm -> blib/lib/TAP/Parser/Utils.pm
Copying lib/TAP/Parser/Multiplexer.pm -> blib/lib/TAP/Parser/Multiplexer.pm
Copying lib/TAP/Parser/Result/Version.pm -> blib/lib/TAP/Parser/Result/
Version.pm
Copying lib/TAP/Harness.pm -> blib/lib/TAP/Harness.pm
Copying lib/TAP/Parser/YAMLish/Writer.pm -> blib/lib/TAP/Parser/YAMLish/
Writer.pm
Copying lib/TAP/Parser/Result/Unknown.pm -> blib/lib/TAP/Parser/Result/
Unknown.pm
Copying lib/TAP/Parser/Aggregator.pm -> blib/lib/TAP/Parser/Aggregator.pm
Copying lib/TAP/Parser/YAMLish/Reader.pm -> blib/lib/TAP/Parser/YAMLish/
Reader.pm
Copying bin/prove -> blib/script/prove
Deleting blib/script/prove.bak
Manifying blib/script/prove -> blib/bindoc/prove.1
Manifying blib/lib/TAP/Parser/YAMLish/Writer.pm -> blib/libdoc/
TAP::Parser::YAMLish::Writer.3pm
Manifying blib/lib/Test/Harness.pm -> blib/libdoc/Test::Harness.3pm
Manifying blib/lib/TAP/Formatter/Console/Session.pm -> blib/libdoc/
TAP::Formatter::Console::Session.3pm
Manifying blib/lib/TAP/Base.pm -> blib/libdoc/TAP::Base.3pm
Manifying blib/lib/TAP/Parser/Result/Version.pm -> blib/libdoc/
TAP::Parser::Result::Version.3pm
Manifying blib/lib/TAP/Parser/Result/Plan.pm -> blib/libdoc/
TAP::Parser::Result::Plan.3pm
Manifying blib/lib/TAP/Formatter/Console/ParallelSession.pm -> blib/libdoc/
TAP::Formatter::Console::ParallelSession.3pm
Manifying blib/lib/TAP/Parser/Result/Unknown.pm -> blib/libdoc/
TAP::Parser::Result::Unknown.3pm
Manifying blib/lib/TAP/Parser/Source/Perl.pm -> blib/libdoc/
TAP::Parser::Source::Perl.3pm
Manifying blib/lib/TAP/Parser/Iterator/Process.pm -> blib/libdoc/
TAP::Parser::Iterator::Process.3pm
Manifying blib/lib/TAP/Parser/Source.pm -> blib/libdoc/TAP::Parser::Source.3pm
Manifying blib/lib/TAP/Parser/Iterator.pm -> blib/libdoc/
TAP::Parser::Iterator.3pm
Manifying blib/lib/App/Prove.pm -> blib/libdoc/App::Prove.3pm
Manifying blib/lib/TAP/Formatter/Color.pm -> blib/libdoc/
TAP::Formatter::Color.3pm
Manifying blib/lib/TAP/Parser/Result.pm -> blib/libdoc/TAP::Parser::Result.3pm
Manifying blib/lib/TAP/Parser/Result/YAML.pm -> blib/libdoc/
TAP::Parser::Result::YAML.3pm
Manifying blib/lib/TAP/Parser/Result/Comment.pm -> blib/libdoc/
TAP::Parser::Result::Comment.3pm
Manifying blib/lib/TAP/Parser/Iterator/Stream.pm -> blib/libdoc/
TAP::Parser::Iterator::Stream.3pm
Manifying blib/lib/TAP/Parser/Iterator/Array.pm -> blib/libdoc/
TAP::Parser::Iterator::Array.3pm
Manifying blib/lib/TAP/Harness.pm -> blib/libdoc/TAP::Harness.3pm
Manifying blib/lib/TAP/Parser/YAMLish/Reader.pm -> blib/libdoc/
TAP::Parser::YAMLish::Reader.3pm
Manifying blib/lib/TAP/Parser.pm -> blib/libdoc/TAP::Parser.3pm
Manifying blib/lib/App/Prove/State.pm -> blib/libdoc/App::Prove::State.3pm
Manifying blib/lib/TAP/Parser/Aggregator.pm -> blib/libdoc/
TAP::Parser::Aggregator.3pm
Manifying blib/lib/TAP/Parser/Multiplexer.pm -> blib/libdoc/
TAP::Parser::Multiplexer.3pm
Manifying blib/lib/TAP/Formatter/Console.pm -> blib/libdoc/
TAP::Formatter::Console.3pm
Manifying blib/lib/TAP/Parser/Result/Bailout.pm -> blib/libdoc/
TAP::Parser::Result::Bailout.3pm
Manifying blib/lib/TAP/Parser/Result/Test.pm -> blib/libdoc/
TAP::Parser::Result::Test.3pm
Manifying blib/lib/TAP/Parser/Utils.pm -> blib/libdoc/TAP::Parser::Utils.3pm
Manifying blib/lib/TAP/Parser/Grammar.pm -> blib/libdoc/
TAP::Parser::Grammar.3pm
  ANDYA/Test-Harness-3.09.tar.gz
  ./Build -- OK
Running Build test
t/000-load........................1/60 # Testing Test::Harness 3.09, Perl 
5.008008, /usr/bin/perl
t/000-load........................ok     
t/aggregator......................ok     
t/bailout.........................ok     
t/base............................ok     
t/callbacks.......................ok     
t/compat/env......................ok   
t/compat/failure..................ok   
t/compat/inc-propagation..........ok   
t/compat/inc_taint................ok   
t/compat/nonumbers................ok   
t/compat/regression...............ok   
t/compat/test-harness-compat......ok       
t/compat/version..................ok   
t/console.........................ok   
t/errors..........................ok     
t/grammar.........................ok     
t/harness.........................ok       
t/iterators.......................ok     
t/multiplexer.....................ok    
t/nofork-mux......................ok    
t/nofork..........................ok   
t/parse...........................ok       
t/premature-bailout...............ok     
t/process.........................ok     
t/prove...........................ok         
t/proverc.........................ok   
t/proverun........................ok   
t/regression......................ok      
t/results.........................ok       
t/source..........................ok     
t/spool...........................ok   
t/state...........................ok     
t/streams.........................ok     
t/taint...........................ok   
t/testargs........................ok     
t/unicode.........................ok    
t/utils...........................ok     
t/yamlish-output..................ok   
t/yamlish-writer..................ok       
t/yamlish.........................ok       
All tests successful.
Files=40, Tests=10341, 13 wallclock secs ( 2.14 usr  0.20 sys +  8.80 cusr  
1.60 csys = 12.74 CPU)
Result: PASS
  ANDYA/Test-Harness-3.09.tar.gz
  ./Build test -- OK
Running Build install
Prepending /root/.cpan/build/Test-Harness-3.09-LadEBv/blib/arch /root/.cpan/
build/Test-Harness-3.09-LadEBv/blib/lib to PERL5LIB for 'install'
Installing /usr/share/man/man1/prove.1
Installing /usr/lib/perl5/5.8.8/TAP/Harness.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser.pm
Installing /usr/lib/perl5/5.8.8/TAP/Base.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Grammar.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Utils.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Multiplexer.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Source.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Aggregator.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Iterator.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Iterator/Stream.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Iterator/Process.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Iterator/Array.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Source/Perl.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/YAMLish/Writer.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/YAMLish/Reader.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Comment.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Plan.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Bailout.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Test.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/YAML.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Version.pm
Installing /usr/lib/perl5/5.8.8/TAP/Parser/Result/Unknown.pm
Installing /usr/lib/perl5/5.8.8/TAP/Formatter/Console.pm
Installing /usr/lib/perl5/5.8.8/TAP/Formatter/Color.pm
Installing /usr/lib/perl5/5.8.8/TAP/Formatter/Console/Session.pm
Installing /usr/lib/perl5/5.8.8/TAP/Formatter/Console/ParallelSession.pm
Installing /usr/lib/perl5/5.8.8/Test/Harness.pm
Installing /usr/lib/perl5/5.8.8/App/Prove.pm
Installing /usr/lib/perl5/5.8.8/App/Prove/State.pm
Installing /usr/share/man/man3/TAP::Harness.3pm
Installing /usr/share/man/man3/App::Prove.3pm
Installing /usr/share/man/man3/TAP::Base.3pm
Installing /usr/share/man/man3/TAP::Parser::Iterator::Array.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::YAML.3pm
Installing /usr/share/man/man3/TAP::Parser::YAMLish::Reader.3pm
Installing /usr/share/man/man3/TAP::Parser::Utils.3pm
Installing /usr/share/man/man3/TAP::Parser::Result.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Unknown.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Version.3pm
Installing /usr/share/man/man3/TAP::Parser.3pm
Installing /usr/share/man/man3/TAP::Formatter::Console::ParallelSession.3pm
Installing /usr/share/man/man3/TAP::Parser::Grammar.3pm
Installing /usr/share/man/man3/TAP::Parser::Aggregator.3pm
Installing /usr/share/man/man3/TAP::Formatter::Console.3pm
Installing /usr/share/man/man3/TAP::Formatter::Console::Session.3pm
Installing /usr/share/man/man3/TAP::Parser::Multiplexer.3pm
Installing /usr/share/man/man3/TAP::Parser::Source.3pm
Installing /usr/share/man/man3/TAP::Parser::Source::Perl.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Comment.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Test.3pm
Installing /usr/share/man/man3/TAP::Formatter::Color.3pm
Installing /usr/share/man/man3/TAP::Parser::YAMLish::Writer.3pm
Installing /usr/share/man/man3/Test::Harness.3pm
Installing /usr/share/man/man3/TAP::Parser::Iterator::Process.3pm
Installing /usr/share/man/man3/TAP::Parser::Iterator::Stream.3pm
Installing /usr/share/man/man3/App::Prove::State.3pm
Installing /usr/share/man/man3/TAP::Parser::Iterator.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Bailout.3pm
Installing /usr/share/man/man3/TAP::Parser::Result::Plan.3pm
Installing /usr/bin/prove
Writing /usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/Test/
Harness/.packlist
  ANDYA/Test-Harness-3.09.tar.gz
  ./Build install --uninst=1 -- OK
 
                                                                                                                                     
cpan[3]> q
Lockfile removed.
5:15am {5} localhost:/root># exit
logout
5:15am {18} localhost:/home/scott.g/Download/WWW-Mechanize-TinyURL-1.03>$ rpm -
ql perl-Test-Harness
/usr/bin/prove
/usr/lib/perl5/5.8.8/Test/Harness
/usr/lib/perl5/5.8.8/Test/Harness.pm
/usr/lib/perl5/5.8.8/Test/Harness/Assert.pm
/usr/lib/perl5/5.8.8/Test/Harness/Iterator.pm
/usr/lib/perl5/5.8.8/Test/Harness/Point.pm
/usr/lib/perl5/5.8.8/Test/Harness/Straps.pm
/usr/lib/perl5/5.8.8/Test/Harness/TAP.pod
/usr/share/man/man1/prove.1.gz
/usr/share/man/man3/Test::Harness.3pm.gz
/usr/share/man/man3/Test::Harness::Assert.3pm.gz
/usr/share/man/man3/Test::Harness::Iterator.3pm.gz
/usr/share/man/man3/Test::Harness::Point.3pm.gz
/usr/share/man/man3/Test::Harness::Straps.3pm.gz
/usr/share/man/man3/Test::Harness::TAP.3pm.gz
Comment 1 Marcela Mašláňová 2008-03-03 10:12:32 EST
I have perl-Test-Harness-2.56-36.fc8. I don't have installed anything from cpan
and it's works for me. Can't reproduce it. Could you provide more info or better
try it without cpan?
Comment 2 Scott R. Godin 2008-03-06 15:44:28 EST
Test::Harness works, but as clearly noted in this report, the Fedora package 
does not include all of the pieces that Test::Harness includes. 
Comment 3 Marcela Mašláňová 2008-03-07 04:52:00 EST
Now I see. In perl is Test-Harness version 2.56 and in cpan is the latest
version 3.10. That explains the missing files, which were added into
Test-Harness package.
So you are asking about update on the latest version of Test-Harness.

Any thoughts? Could be upgrade of this module broke something?
Comment 4 Ralf Corsepius 2008-03-07 04:58:48 EST
(In reply to comment #3)
> Any thoughts? Could be upgrade of this module broke something?
Very likely. IMO, the OP has corrupted his installation by mixing his rpm-based
perl installation with a raw CPAN installation and now is facing the consequences.

I suggest not doing anything about this PR, unless the issue can be reproduced
with a pure rpm-based Perl installation.
Comment 5 Marcela Mašláňová 2008-03-07 07:14:57 EST
I can't reproduce this problem with clean installation only from yum. Upgrading
essential package like Test-Harness should cause problems. I'm suggesting to
upgrade package in rawhide, maybe for F-10, because now we are to close to
finish F-9.
Comment 6 Marcela Mašláňová 2008-04-24 10:47:19 EDT
The upgrade of this package will be really complicated because Test::Harness is
providing different package - TAP::Harness. I'm not sure if it's wise to update
it at all. All tests are written for old version of Test::Harness. I'd rather
close it wontfix.
Thoughts?
Comment 7 Marcela Mašláňová 2008-06-13 06:27:51 EDT

*** This bug has been marked as a duplicate of 451078 ***

Note You need to log in before you can comment on or make changes to this bug.